/*******************************************************************************/
/* Function: dynamic Anzeige.DLL Loader 
/*			 Goldammer GmbH (C) 2005
/*
/* Date		  Dev						Comment
/* ----------------------------------------------------------------------------*/
/* 09.06.2005 Torsten Schinkel			Init Release
/*
/*
/*******************************************************************************/


#ifndef _ANZEIGE_DLLLOADER_H
#define _ANZEIGE_DLLLOADER_H

HINSTANCE	Init_AnzeigeDLL(void);
BOOL		DeInit_AnzeigeDLL(HINSTANCE hInst);

/*******************************************************************************/
/* Externe Funktionsprototypen   												       */
/*******************************************************************************/
//-Main-------------------------------------------------------------------
extern void (__stdcall	*ShowGraph)							(int Nr);
extern void (__stdcall	*GraphAddPoint)						(int Nr, int Channel, double Value);
extern void (__stdcall	*GraphConfigChannel)				(int Nr, int Channel, int Color);
extern void (__stdcall	*GraphSetMinMax)					(int Nr, double MinX, double MaxX, double MinY, double MaxY);
extern void (__stdcall	*HideGraph)							(int Nr);
extern void (__stdcall	*DestroyGraph)						(int Nr);
extern void (__stdcall	*PositionGraph)						(int Nr, int x, int y, int Width, int Height);
extern void (__stdcall	*ShowDisplay)						(int Nr);
extern void (__stdcall	*AddDisplay)						(int Nr, int XRatio, int YRatio, int WidthRatio, int HeightRatio, int Color);
extern void (__stdcall	*ProcessMessages)					(void);


#endif // _ANZEIGE_DLLLOADER_H